@font-face{
    src:url(../fonts/Bahij.ttf);
    font-family:Bahij;
}
@font-face {
    font-family: "TAJAWAL-REGULAR";

    src: url("../fonts/Tajawal-Regular.ttf");
}

[dir="rtl"] h1 ,[dir="rtl"] h2,[dir="rtl"] h3,[dir="rtl"] h4,
[dir="rtl"] h5,[dir="rtl"] h6,[dir="rtl"] a,[dir="rtl"] li,[dir="rtl"] span,
[dir="rtl"] p, [dir="rtl"] div ,[dir="rtl"] button{
    font-family:"Bahij" !important;	
}
.category-menu .cat-icon{
    font-family: 'themify' !important;
}
[class^="ti-"], [class*=" ti-"]{
    font-family: 'themify' !important;	
}
.switch-icon span , [dir="rtl"] .ti-angle-up{
    font-family: 'themify' !important;		
}

.page-contact #edit-preview{
    display:none;
}
a{
    transition: 0.4s;
    text-decoration: none;
}
.field--name-field-token ,
.field--name-field-social-id ,
.field--name-field-social-name{
    display:none;
}
[dir=rtl] .block-subtitle{
    display:none;    
}

[dir="rtl"] .flag-compare .flag-link::before {
    content: "قارن";
}
[dir="rtl"] .flag-wishlist .flag-link::before {
    content: "المفضلة";

}
[dir="rtl"] .product-view .flag-link::before{
    content: "نظرة سريعة";

}

[dir="rtl"] .commerce-order-item-add-to-cart-form .field--name-quantity input, .quantity-button{
    border-bottom:1px solid #b59357;	
}
[dir="rtl"] .commerce-order-item-add-to-cart-form .field--name-quantity input, .quantity-button {
    border: 1px solid #b59357;
}
[dir="rtl"] .quantity-button.quantity-up{
    border-left: 1px solid #b59357 !important;
    border-radius: 12px 0px 0px 12px !important;
}
[dir="rtl"] .quantity-button.quantity-down{
    border-right: 1px solid #b59357 !important;
    border-radius: 0px 12px 12px 0px !important;
}
[dir="rtl"] .header-right .field-body h4{
    direction:ltr;
}
[dir="rtl"] #block-home01-slider .owl-prev{
    left: 10px !important;
    right:unset;
}
[dir="rtl"] #block-home01-slider .owl-next{
    right: 10px !important;
    right:unset;
}
.order-total-line .order-total-line-label{
    margin-inline-end:10px;
}
#edit-checkout ,
#edit-login-returning-customer-forgot-password{
    margin-inline-start:10px;
}

#edit-shipping-information-shipping-profile-field-latitude-wrapper ,
#edit-shipping-information-shipping-profile-field-longitude-wrapper ,
.field--name-field-latitude ,
.field--name-field-longitude{
    display:none;
}
[dir="rtl"] [type="checkbox"]:checked + label:before{
    transform: rotateZ(-37deg);    
    top: -2px;
    right: 3px;
}
[dir="rtl"] #block-homeslider button{
    transform: rotate(180deg);	
}
#user-account-block-wrap ul{
    text-align: start;
}
.webform-submission-form  input{
    width:100%;
}
.webform-submission-form  label{
    display:block;
}
.webform-submission-form .webform-button--submit{
    width:auto !important;
}
#user-account-block-wrap ul li{
    margin: 5px 7px;

}
.region-footer-first .margin-bottom-20 img{
    max-width: 180px;	
}
.block-views-blockproduct-taxonomy-brand-logos{
    padding-top: 0px;
    display: inline-block;
    width: 100%;
    margin-top: 26px !important;	
}

#edit-continue-shopping{
    margin:0px 10px;
}
.field--name-field-swrt-althwyl-albnky{
    display:none; 
    background-color: #efefef;
    padding: 10px;
    border-radius: 10px;
    margin-top: 50px;
}
.brand-logo{
    height: 200px;
}
.brand-logo img {
    width: 100%;
    height: 100%;
    object-fit: contain;	
}

.product-image{
    position:relative;
}
.product-image .product-image-link{
    position:absolute;
    top:0;
    left:0;
    width:100%;
    height:100%;
    z-index:1;
}
.product-image .product-badge{
    z-index:9;
}

.footer-social {
    display: inline-block;
    width: 100%;
    height: auto;
    margin: 20px 0px;
}
.footer-social ul {
    display: inline-block;
    width: 100%;
    height: auto;
    margin: 0px 0px;
    padding: 0;
}
.footer-social li {
    display: inline-block;
    margin: 0px 10px;
    padding: 10px;
    border: 1px solid #fff;
    border-radius: 10px;
    padding: 8px;
    width: 43px;
    text-align: center;
    height: 43px;
}
.footer-social li a {
    color: #fff;
}
.footer-social li i {
    color: #fff;
    font-size: 25px;
}
.icons-what {
    display: inline-block;
    width: 50px;
    font-size: 29px;
    padding: 2px;
    background-color: #25D366;
    text-align: center;
    border-radius: 0px 10px 10px 0px;
    position: fixed;
    left: 0;
    top: 50%;
    z-index: 9999;
}
.icons-what i {
    color: #fff;
}
.pdf-down{
    display: inline-block;
    width: 100%;
    text-align: center;	
    margin:10px 0px;
}
.pdf-dow-link{
    font-size: 22px;
    padding: 11px 42px;
    background-color: #77d4ef;
    color: #fff;	
}
.pdf-dow-link i{
    margin-inline-start: 10px;	
}
.product-list-wrap{
    position:relative;
}
.product-list-wrap .product-title-link-custom{
    position:absolute;
    width:100%;
    height:100%;
    z-index:0;
    top:0;
    left:0;
    z-index:99;
}

.footer-info-custom a{
    display:inline-block;
    margin-inline-start:10px;
}

.box-icon.views-row{
    background-image: linear-gradient(
        133deg
        ,var(--main-color),var(--second-main-color));
    box-shadow: 0 2px 4px 0 rgb(0 0 0 / 9%);
    background-color: #7ee2ff;	
    color:#fff;
    padding: 0px;
    padding: 0px 20px;
}
[dir="rtl"] .block-facets ul ul li{
    margin-left: 0px;
    margin-right: 10px;
}
[dir="rtl"] .collapse-item .card-header > a:after{
    right:unset;
    left:0;
}
[dir="rtl"] .en-message{
    display:none;
}
[dir="ltr"] .ar-message{
    display:none;
}
.commerce-checkout-completion-register{
    display: inline-block;
    width: 50%;
    margin: 0 25%;
    background-color: #efefef;
    padding: 28px;
    border: 1px solid #ccc;	
}
.checkout-complete{
    text-align: center;
    margin: 40px 0px;
    display: inline-block;
    width: 100%;	
}
@media only screen and (max-width: 768px) {
    .header-item.header-right {
        margin-bottom: 10px;
        display: none!important;
    }
    .commerce-checkout-completion-register{
        width: 100%;
        margin: 0 0%;		
    }
    .cart-form .views-form form table{
        display: inline-block;
        width: 100%;
        overflow: scroll;
    }
    .cart-form .views-form form table::-webkit-scrollbar {
        -webkit-appearance: none;
        width: 7px;
    }

    .cart-form .views-form form table::-webkit-scrollbar-thumb {
        border-radius: 4px;
        background-color: rgba(0, 0, 0, .5);
        box-shadow: 0 0 1px rgba(255, 255, 255, .5);
    }
    .cart-form .views-form #edit-submit, .cart-form .views-form .form-submit {
        width: 100%;
        margin: 0;
        margin: 10px 0;
        margin-inline-start: 0 !important;
    }
    [dir="rtl"] .cart--cart-block .cart-block--contents {
        width: 225px;
        right: -115px;
    }
    [dir="rtl"] .mega-menu > ul > li a{
        text-align:start;
    }
    .header-right, .header-main, .main-menu-right{
        display:block !important;
    }
    .path-frontpage #page-wrapper{
        display:none !important;
    }
    .testimonial-content{
        padding:0 !important;
    }
    .region-sidebar-first .facet-inactive{
        height: 130px;
        overflow-y: scroll;	
    }
    .feature-block-layout4 .field-body h4{
        margin-top: 30px;	
    }
    .action-block-2 .cta-link {
        text-align: center !important;
    }

    .page-compare .flipped-table{
        width: 100% !important;
        overflow: scroll !important;
    }
    .page-compare .flipped-table table{
        display: inline-block;
        width: 100%;	
    }
    .path-checkout #wrapper{
        display: inline-block;
        width: 100%;
        height: auto;
        overflow-x: hidden;
    }
    .checkout-progress--step{
        width:50%;
    }
    [dir="rtl"] .header-element {
        left: 0px !important;
        right: auto;
    }
    .cta-wrap.action-block-2.row {
        margin: 0;
        text-align: center;
    }
    div#block-call-to-action-home07{
        background-size: 100% 100%;
    }
    div#block-calltoaction3 {
        background-size: 100% 100%;
    }
    .header-item .search-button{
        display: none!important;
    }
    .header-info .header-info-item {

        margin: 10px 0!important;
    }
    div#block-home06-slider img {
        height: 400px!important;
        object-fit: cover;
    }
    div#main-menu-right,div#block-get-quote-button,.header-main-wrap {
        display: none!important;
    }
    .header-info .header-info-container {
        flex-direction: column;
    }
    footer{
        text-align: center;
    }
    .social-icon{
        text-align: center;
    }
    .header-item.header-element{
        position: static!important;
        width: fit-content;
    }
    .navbar.header-center > .container{
        display: flex;
        align-items: center;
    }
    button.navbar-toggler.nav-button i {
        color: black;
    }
    .primary-menu{
        margin: 0!important;
    }
    .header-menu .nav-menu{
        padding: 0!important;
        border-top: 1px solid #80808021;
    }
    nav#block-socialmedia ul{
        justify-content: center!important;
    }
}

div#block-home06-slider img {
    height: 600px;
    object-fit: cover;
}
footer a{
    transition: 0.4s;
}



.ui-widget.ui-widget-content{
    padding: 0;
    border: unset;
}

.ui-dialog .ui-dialog-titlebar {
    padding: 1rem 1em;
    position: relative;
    background: black;
    border: unset;
    color: white;
}

.ui-dialog .ui-dialog-content {
    position: relative;
    border: 0;
    padding: 3em;
    background: none;
    overflow: auto;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 17px;
}

nav#block-socialmedia ul {
    justify-content: flex-end;
    gap: 10px;
}
nav#block-socialmedia a {
    font-size: 20px;
    transition: 0.4s;
}
nav#block-socialmedia a:hover i{
    color:#cec205!important ;
}
.number-count .grid-item {
    display: flex;
    align-items: center;
    gap: 15px;
}
.number-count .grid-item:before{
    position: static!important;
}

div#block-languageswitcher li.is-active {
    display: none;
}

div#block-languageswitcher ul{
    list-style: none;
}
.swal2-icon.swal2-success [class^=swal2-success-line] {

    background-color: black!important;
}
.swal2-icon.swal2-success .swal2-success-ring {

    border: 0.25em solid rgba(0,0,0,.3)!important;
}
.sales-status.green-label {
    background-color: green;
}
span.option-custom-select{
    color: white;
    padding: 6px 15px;
    border-radius: 5px;
}
.option-red-color{
    background-color: #f00;
}

.option-green-color{
    background-color: green;
}

.option-gray-color{
    background-color: #98999d;
}

.option-custom-select {
    color: white;
    padding: 6px 15px;
    border-radius: 5px;
    /* Adjust animation duration as needed */
}

@keyframes infinitePadding {
    0% {
        padding: 6px 15px; /* Initial padding */
    }
    100% {
        padding: 10px 18px; /* Final padding values */
    }
}

.bef-link--selected span.option-custom-select {
    padding: 4px 13px;
    animation: infinitePadding 1.5s infinite alternate;
}



span.option-custom-select.no-color-set {
    color: black;
    background-color: white;
}


ul.colored-text {
    display: flex;
    align-content: center;
    justify-content: center;
    font-size: 18px;
}
ul.colored-text li.colored-text-color {
    margin: 0px 20px;
    list-style: square;
    margin-bottom: 20px;
}

.list-color-green {
    color: #047904;
}

.list-color-red {
    color: red;
}

.list-color-gray {
    color: #5f5e5e;
}

div#edit-field-project-floor-target-id--3 ul {
    background-color: #ECECEC;
}
div#edit-field-project-target-id--3 {
    margin-top: -15px;
}

div#edit-field-project-target-id--3 ul{
    background-color: #F8F8F8; 
}

.button--add-to-cart[disabled="disabled"] {
    background-color: #575757 !important;
}

form#webform-submission-complaint-add-form div#edit-flexbox-01,
form#webform-submission-contact-us-page-add-form div#edit-flexbox-01{
    display: flex;
}

form#webform-submission-complaint-add-form div#edit-flexbox-02,
form#webform-submission-contact-us-page-add-form div#edit-flexbox-02{
    padding: 0px 15px;
}

form#webform-submission-complaint-add-form div#edit-processed-text strong,
form#webform-submission-contact-us-page-add-form div#edit-processed-text strong{
    color: #D48D33;
}

form#webform-submission-complaint-add-form div#edit-flexbox,
form#webform-submission-contact-us-page-add-form div#edit-flexbox{
    border: 1px solid lightgray;
    border-radius: 15px;
    padding: 20px;
}

form#webform-submission-complaint-add-form div#edit-flexbox div#edit-actions,
form#webform-submission-contact-us-page-add-form div#edit-flexbox div#edit-actions{
    width:100%;
    padding: 0px 15px;
}

.page-form-complaint .region.region-page-title,
body.path-user  .region.region-page-title,
.page-form-contact-us-page  .region.region-page-title{
    display: none;
}

.page-form-complaint .title-banner-content,
body.path-user  .title-banner-content,
.page-form-contact-us-page  .title-banner-content{
    position: absolute;
    inset: 0;
    background: #EFEFEF;
}

.page-form-complaint .title-banner-wrapper,
body.path-user .title-banner-wrapper,
.page-form-contact-us-page .title-banner-wrapper{
    display: none;
}

.page-form-complaint .region.region-breadcrumb,
body.path-user  .region.region-breadcrumb,
.page-form-contact-us-page .region.region-breadcrumb{
    position: relative;
    display: inline-block;
    width: 100%;
    padding: 20px;
}

.page-form-complaint .region.region-breadcrumb li,
.page-form-complaint .region.region-breadcrumb li a,
body.path-user .region.region-breadcrumb li,
body.path-user .region.region-breadcrumb li a,
.page-form-contact-us-page .region.region-breadcrumb li,
.page-form-contact-us-page .region.region-breadcrumb li a{
    color:#144260;  
}



.page-form-complaint .title-banner-content,
body.path-user .title-banner-content,
.page-form-contact-us-page .title-banner-content{
    position: relative;
    inset: 0;
    background: #EFEFEF;
}




input#edit-project-name[readonly="readonly"] {
    background-color: #ececec;
}

.custom-link1 {
    display: flex;
    flex-direction: column;
}

.custom-link1 .custom-link2{
    margin: 15px 0px;
}
.custom-link1 .custom-link2 a {
    background-color: #144260;
    color: white;
    padding: 5px 15px;
    border-radius: 5px;
    border: 1px solid white;
}

.custom-link1 .custom-link2 a:hover{
    background-color: white;
    color:  #144260;
    border: 1px solid #144260;
}

.custom-link1 .custom-link {
    position: relative;
    display: inline-block;
}

.auth-user-form {
    margin: 0px auto;
    border: 0px;
}

.auth-user-imaage img {
    border-radius: 15px;
}
.auth-user-form > form {
    padding: 0px;
}

body.path-user section#page-title {
    margin: 0px;
}
.employee-portal {
    margin-top: 30px;
    text-align: center;
}

div#work-hour .list-work-hour * {
    list-style: none;
}


div#work-hour {
    padding: 20px;
    background-color: #F2F2F2;
    border-radius: 10px;
}

div#work-hour .list-work-hour ul li {
    display: flex;
    margin-bottom: 10px;
}

div#work-hour .list-work-hour ul {
    background-color: white;
    padding: 15px;
    margin-top: 20px;
    border-radius: 5px;

}

form#webform-submission-complaint-add-form div#edit-processed-text p,
form#webform-submission-contact-us-page-add-form div#edit-processed-text p{
    max-width: 900px;
}

input#edit-mobile-number {
    text-align: right;
    direction: ltr;
}

div#block-martis-help {
    display: none;
}







.custom-order-user-row {
    padding: 15px;
    background-color: white;
    width: 100%;
    border-radius: 15px;
    box-shadow: 0px 0px 10px 2px lightgray;
}

.custom-order-user-row-header {
    display: flex;
    justify-content: space-between;
    padding-bottom: 5px;
    border-bottom: 1px solid #b5b4b4;
}

.custom-order-user-price {
    display: flex;
}

.custom-order-user-price .fa {
    margin: 0px 5px;
    color: #D79644;

}

.custom-order-user-order-number {
    display: flex;
}

.custom-order-user-row .post-meta-item.post-date {
    margin-top: 15px;
    color: #707070;
}

.custom-order-user-row .post-meta-item.post-date i {
    color: #707070;
}


.custom-order-full-row .fa.fa-check {
    color: green !important;
    font-size: 18px;
}
.custom-order-full-row .fa.fa-close {
    color: red !important;
    font-size: 18px;
}

.custom-order-full-row .fa.fa-spinner {
    color: #4628d7 !important;
    font-size: 18px;
}

.custom-order-full-row .fa.fa-file {
    color: brown !important;
    font-size: 18px;
}
.custom-order-full-row.row-black .post-meta-item.post-date {
    color: black;
}

.custom-order-user-row-footer {
    display: flex;
    justify-content: center;
    margin-top: 20px;
    border-top: 1px solid #b5b4b4;
    padding-top: 15px;
}


.views-field.views-field-rendered-entity {
    background-color: white;
    padding: 15px;
    border-radius: 15px;
    box-shadow: 0px 0px 10px 2px lightgray;
}

div#complaint--file * {
    list-style: none;
}

nav#block-userloginmenu {
    background-color: white;
    padding: 15px;
    border-radius: 0px;
    max-width: 90%;
    margin: 0 auto;
    box-shadow: 0px 0px 3px 0px lightgray;
    /*height: 100%;*/
    margin-bottom: 20px;
}

.region.region-sidebar-first {
    height: 90%;
}

nav#block-userloginmenu ul li {
    border-bottom: 1px solid lightgray;
    margin-bottom: 15px;
    /*background-color: red;*/
    padding: 10px;
    padding-bottom: 0px;
    border-radius: 5px;
}
nav#block-userloginmenu ul li:last-child {
   border-bottom: 0px solid lightgray; 
}

nav#block-userloginmenu ul li.menu-item--active-trail {
    background-color: #144260;

}

nav#block-userloginmenu ul li.menu-item--active-trail a{
       color: white; 
}

.user-logged-in.path-user div#block-tabs,
.page-my-orders div#block-martis-content--3,
.page-favorite div#block-martis-content--3,
.page-my-complaints div#block-martis-content--3{
    padding-top: 0px;
}

.piczoomer .owl-carousel .owl-item img {
    height: 800px !important;
}
.product-sales-status {
    font-size: 19px;
    background-color: #144260;
    text-align: center;
    color: white;
    font-weight: bold;
    padding: 10px;
    max-width: 300px;
    margin: 0 auto;
    margin-bottom: 15px;
    border-radius: 15px;
}

.contact-consultant-img img {
    max-width: 150px;
}


.contact-consultant {
    background-color: #0d3b66;
    max-width: 900px;
    margin: 0 auto;
    margin-top: 30px;
    padding: 15px;
    border-radius: 15px;
}

.contact-consultant-title {
    color: white;
    font-size: 25px;
}

.contact-consultant-btns a {
    background-color: white;
    padding: 10px 20px;
    position: relative;
    display: inline-block;
    border-radius: 10px;
    margin-top: 15px;
}

.contact-consultant-btns a {
    background-color: white;
    padding: 10px 20px;
    position: relative;
    display: inline-block;
    border-radius: 10px;
    margin-top: 15px;
    margin-left: 10px;
    margin-right: 10px;
}


.contact-consultant-img {
    display: flex;
    justify-content: center;
}

.page-node-type-projects div#block-martis-content--3 {
    padding-top: 0px;
}

.guarantees-project {
    padding: 15px;
    background-color: #0d3b66;
    color: white;
    margin-top: 20px;
    border-radius: 10px;
    text-align: center;
}


.guarantees-project-icon {
    font-size: 40px;
}

.guarantees-project-value {
    font-size: 24px;
}


.component-project {
    margin-top: 20px;
    margin-bottom: 20px;
    background-color: white;
    border-radius: 15px;
    box-shadow: 0px 0px 10px 2px lightgray;
    padding: 15px;
    text-align: center;
}

.component-project .component-project-icon {
    font-size: 35px;
    color: #0d3b66;
}

.component-project .component-project-value {
    font-size: 30px;
    color: #0d3b66;
}


div#block-views-block-project-component-block-1 .component-project {
    margin-top: 0px !important;
}

div#block-views-block-project-component-block-1 .component-project .component-project-value{
    font-size: 23px;
}


div#block-views-block-project-component-block-1 {
    padding-top: 0px;
    max-width: 900px;
    margin: 0 auto;
    margin-top: -110px;
    padding-bottom: 0px;
}


.component-project .row {
    display: flex;
    align-items: center;
    justify-content: center;
}
.component-project .row > div {
    margin-bottom: 10px;
    padding-bottom: 10px;
    border-bottom: 1px solid lightgray;
}



div#block-views-block-project-component-block-1 .component-project .component-project-value {
    font-size: 23px;
}

div#block-views-block-project-component-block-1 .component-project-title {
    min-height: 25px;
}

.first-sec.old-price {
    margin-bottom: 10px;
}


.region.region-header-right {
    display: flex;
    align-content: center;
    align-items: center;
}

.order-total-line.order-total-line__subtotal {
    display: flex;
}

.order-total-line.order-total-line__total {
    display: flex;
}


.cart--cart-block i.fas.fa-home {
    font-size: 24px;
}

.form-top-message {
    background-color: #0e9e21;
    color: white;
    padding: 10px;
    border-radius: 10px;
    font-size: 16px;
}


@media only screen and (min-width: 769px) {
    body.path-user section#page-wrapper {
        background: url(/bglogin.png) no-repeat;
        background-size: 500px 100%;
        background-position: right;
    } 

    [dir="rtl"] body.path-user section#page-wrapper {
        background-position: left;
    }

    body.path-user section#page-wrapper {
        margin: 5px 0px;
    }
    .user-logged-in.path-user section#page-wrapper {
        background:none;
    }
    
    
    .piczoomer .owl-carousel .owl-item img {
        height: auto !important;
    }

}


@media only screen and (max-width: 769px) {
    .piczoomer .owl-carousel .owl-item img {
        height: auto !important;
    }  
}
